Bug 158716 - Turn APNG on by default in graphics/png
Turn APNG on by default in graphics/png
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
Depends on:
  Show dependency treegraph
Reported: 2011-07-08 04:40 UTC by Mikhail T.
Modified: 2011-07-08 15:53 UTC (History)
1 user (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail T. 2011-07-08 04:40:01 UTC
	As discussed on ports@, changing to use APNG by default would
	allow Mozilla ports to build using the already installed libpng
	without any other ill effects.

	The only opponent of the change was ache@ (CC-ed), but even he
	was persuaded by the end of the discussion.


If the change does not coincide with a routine update of png,
	(1.5.4 was released today, for example) then PORTREVISION bump
	may be needed as well.

--- Makefile	23 Dec 2010 05:41:59 -0000	1.115
+++ Makefile	8 Jul 2011 03:06:32 -0000
@@ -32,5 +32,5 @@
-OPTIONS=	APNG "Animated PNG support" Off
+OPTIONS=	APNG "Animated PNG support (required for Mozilla)" On
 .include <bsd.port.pre.mk>
Comment 1 Edwin Groothuis freebsd_committer 2011-07-08 04:40:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dirk Meyer freebsd_committer 2011-07-08 12:49:23 UTC
State Changed
From-To: open->feedback

I will look into this. 

There is much more to do that to toggle the option. 
Please wait for a new patch.
Comment 3 dfilter freebsd_committer 2011-07-08 14:27:29 UTC
dinoex      2011-07-08 13:27:20 UTC

  FreeBSD ports repository

  Modified files:
    graphics/png         Makefile distinfo 
  - enable option APNG
  PR:             158716
  Suggested by:   Mikhail T.
  - use compressed patch from original master
  - remove obsolte ghostscript hooks
  Revision  Changes    Path
  1.116     +11 -12    ports/graphics/png/Makefile
  1.59      +2 -2      ports/graphics/png/distinfo
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dirk Meyer freebsd_committer 2011-07-08 15:53:33 UTC
State Changed
From-To: feedback->closed

committed, thanks.